#|------------------------------------------------------------*-Scheme-*--|
 | File:    bytcodes/loadbyt.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.04.18 20:05:44
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: load the bytecodes into the build compiler
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.3 %G% 20:05:44")


(load (pathname->string (locate-dist-resource "compiler/bytecode/bcgen.scm")))

(set! $bytecodes
  (with-input-from-file 
      (pathname->string
       (locate-dist-resource "compiler/bytecode/bctable.dat"))
    read))

(format #t "** ~d bytecodes loaded **\n" (length $bytecodes))

(define $primops
  (let ((t (make-table eq? identity)))
    (for-each
     (lambda (ent)
       (table-insert! t 
		      (cdr (assq 'bytecode (vector-ref ent 3)))
		      ent))
     (with-input-from-file
	 (pathname->string 
	  (locate-dist-resource "compiler/bytecode/potable.dat"))
       read))
    t))

(format #t "** ~d primops loaded**\n" (table-size $primops))
