
(define (builtin-modules)
  (list (cons '*scheme*
	      (let* ((envt (make-top-level-contour)))
		(for-each (lambda (bdg)
			    (table-insert! (table envt)
					   (name bdg)
					   bdg))
			  (append 
			   (make-special-forms)
			   (make-top-level-forms)
			   (make-objsys-forms)))
		(make <module>
		      top-level-envt: envt
		      module-exports: (table envt))))))

