/*------------------------------------------------------------------*-C-*-*
 * File:    handc/cfg/gc/irc/ptrlist.c
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.3
 * Date:    1996.04.18 20:43:45
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: IRC pointer list implementation
 *------------------------------------------------------------------------*/




#ifdef INCL_SCCSID
char *F29RS_dist_cfg_gc_irc_ptrlist_sccsid__()
{ return "%Z%%W% 1.3 %G% 20:43:45"; }
#endif /* INCL_SCCSID */

#include "irc.h"

void IRC_ptrListAdd( struct IRC_PtrList *list, IRC_Header *item )
{
struct IRC_PtrBucket *b = list->last;

    if (!b || b->ptr == &b->contents[IRC_PTR_BUCKET_SIZE])
    {
	b = MALLOC(struct IRC_PtrBucket);
	b->next = NULL;
	b->ptr = b->contents;
	if (list->first)
	{
	    list->last->next = b;
	}
	else
	{
	    list->first = b;
	}
	list->last = b;
    }
    *(b->ptr)++ = item;
}
