/*------------------------------------------------------------------*-C-*-*
 * File:    handc/hasht/generic.c
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.5
 * Date:    1997.01.13 15:53:48
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: code for "generic" hash tables (any hash-fn, any eq-fn)
 *------------------------------------------------------------------------*/




#ifdef INCL_SCCSID
char *F48RS_dist_hasht_generic_sccsid__()
{ return "%Z%%W% 1.5 %G% 15:53:48"; }
#endif /* INCL_SCCSID */

#include <rscheme/hashmain.h>
#include <rscheme/runtime.h>
#include <rscheme/vinsns.h>
#include <rscheme/rsmodule.h>
#include "htstruct.h"

#ifndef NULL
#ifdef __cplusplus
#define NULL (0)
#else
#define NULL ((void *)0)
#endif
#endif

#include "generic.ci"

static struct function_descr *(fn_tab[]) = {
    &generic_lookup_descr,
    &generic_remove_descr,
    &generic_insert_descr,
    &generic_probe_descr,
    NULL };

struct part_descr rscheme_hasht_part = { 
    9502, 
    &module_rscheme, 
    fn_tab,
    "rscheme-hasht" };
