/*------------------------------------------------------------------*-C-*-*
 * File:    handc/runtime/rsmodule.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.3
 * Date:    1996.04.18 20:49:32
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: the "RScheme" module, standard runtime system
 *------------------------------------------------------------------------*/





/*
 *   Provide access to the RScheme Runtime Module
 *   and it's constituent parts
 *
 */

#ifndef _H_RSMODULE
#define _H_RSMODULE

#include <rscheme/linktype.h>

extern struct part_descr       rscheme_runtime_part;  /* 9501 */
extern struct part_descr       rscheme_hasht_part;    /* 9502 */

extern struct module_descr     module_rscheme;

#endif /* _H_RSMODULE */
