#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/codegen/lexaddr.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.04.18 20:25:46
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: lexical address computation
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.3 %G% 20:25:46")

(define-fluid *code-context*)

(define (find-lex-addr ct-envt var)
    (let loop ((e ct-envt) (i 0))
	(let ((x (memq var (car e))))
	    (if x
		(cons i (- (length (car e)) (length x)))
		(loop (cdr e) (add1 i))))))
