#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/corelib/num2str.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.6
 | Date:    1996.04.18 20:33:16
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: convert numbers to strings (optional radix)
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.6 %G% 20:33:16")

(define-glue (double-float->string num)
{
char temp[64];

    REG0 = make_string( double_float_to_string( temp, num ) );
    RETURN(1);
})

(define-glue (fixnum->string num radix)
{
char temp[36];

    REG0 = make_string( fixnum_to_string( &temp[32], num, fx2int(radix) ) );
    RETURN(1);
})

(define-glue (long-int->string num radix)
{
char temp[70];

    REG0 = make_string( int_64_to_string( &temp[32], 
					 *(INT_64*)PTR_TO_DATAPTR(num), 
					  fx2int(radix) ) );
    RETURN(1);
})
