
;;
;; these are the `special' primops, which are emitted specially
;; during code generation
;;

(define-primop (%make <<class>> . <obj>) => <obj>
  (bytecode 'make)
  (ccode make))

(define-primop (cons <obj> <obj>) => <obj>
  (bytecode 'cons)
  (ccode "cons"))

(define-primop (car <obj>) => <obj>
  (bytecode 'car)
  (ccode "checked_car"))

(define-primop (cdr <obj>) => <obj>
  (bytecode 'cdr)
  (ccode "checked_cdr"))
