#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/editinp/readlin.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.4
 | Date:    1996.04.18 20:24:11
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: Glue code interfacing to rdln choice (gnu|std)
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.4 %G% 20:24:11")


(define-glue (input-isa-tty?)
{
    REG0 = rb_to_bo(rdln_isa_tty());
    RETURN1();
})

(define-glue (readline-enabled?)
{
    REG0 = rb_to_bo(rdln_enabled());
    RETURN1();
})

(define-glue (readline-add-to-history str)
{
    rdln_add_history( str );
    RETURN0();
})

(define-glue (readline-read-line completions prompt)
{
    REG0 = read_console_line( completions, string_text(prompt) );
    RETURN1();
})
