#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/hacks/disassem.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.05.24 17:25:46
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: functions for hacking on bytecoded programs
 `------------------------------------------------------------------------|#

;;
;;  return the bytecoded program (and instance of <byte-coded>)
;;  for the given template
;;

(define (bytecodes (self <template>))
  (let ((s (and (fixnum>? (gvec-length self) 3)
		(gvec-ref self 3))))
    (if (instance? s <byte-coded>)
	s
	(error "~s: not a byte-coded template" self))))

