#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/objsys/getnset.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.4
 | Date:    1996.07.25 17:25:05
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: accessor and setter code
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.4 %G% 17:25:05")

;;
;;  getter and setter templates
;;

(define-glue (getter-template self)  :template
{
obj slotnum;

    USE_FUNCTION_ENVT();
    COUNT_ARGS(1);
    slotnum = LEXREF0(0);
    assert( OBJ_ISA_PTR(self) 
	    && FXWORDS_TO_RIBYTES(slotnum) < SIZEOF_PTR(self) );
    REG0 = gvec_read( self, FXWORDS_TO_RIBYTES(slotnum) );
    RETURN1();
})

(define-glue (setter-template self)  :template
{
obj slotnum;

    USE_FUNCTION_ENVT();
    COUNT_ARGS(2);
    slotnum = LEXREF0(0);
    assert( OBJ_ISA_PTR(self) 
	    && FXWORDS_TO_RIBYTES(slotnum) < SIZEOF_PTR(self) );
    gvec_write( self, FXWORDS_TO_RIBYTES(slotnum), REG1 );
    REG0 = REG1;
    RETURN1();
})
