#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/paths/classes.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.04.18 20:30:39
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: pathname class definitions
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.3 %G% 20:30:39")


(define-class <file-name> (<object>)
    file-directory
    filename
    extension)

(define-class <directory-name> (<object>)
    rooted-at
    steps)

(define-class <root-dir> (<object>)
    root-name
    expanded-name)

(define (root-dir? x)
    (instance? x <root-dir>))

(define-generic-function pathname->string)
