#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/tables/gentable.scm
 |
 |          Copyright (C)1995,1997 Donovan Kolbly <d.kolbly@rosette.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.4
 | Date:    1997.01.13 15:53:48
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: generic hash tables -- any hash & key functions
 `------------------------------------------------------------------------|#

(define-class <generic-table> (<hash-table>)
    table-hash-function
    table-equal-function)

(define-method table-key-present? ((self <generic-table>) key)
  (generic-hash-table-probe? self ((table-hash-function self) key) key))

(define-method table-lookup ((self <generic-table>) key)
  (generic-hash-table-lookup self ((table-hash-function self) key) key))

(define-method table-remove! ((self <generic-table>) key)
  (generic-hash-table-remove! self ((table-hash-function self) key) key))

(define-method table-insert! ((self <generic-table>) key value)
  (generic-hash-table-insert! self 
			      ((table-hash-function self) key) 
			      key 
			      value))
