#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/tables/misc.scm
 |
 |          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.4
 | Date:    1997.01.13 15:53:48
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: miscellaneous functions
 `------------------------------------------------------------------------|#

(define-method key-sequence ((self <hash-table>))
  (table-keys->list self))

(define-method value-sequence ((self <hash-table>))
  (table-values->list self))

(define (table-replace! table key proc new-value)
    (let* ((old-value (table-lookup table key))
    	   (new-value (proc old-value new-value)))
	(if (not (eq? old-value new-value))
	    (table-insert! table key new-value))
	new-value))
