/*------------------------------------------------------------------*-C-*-*
 * File:    handc/cfg/gc/freelist/gcstruct.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.3
 * Date:    1996.04.18 20:45:13
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/





#ifndef _H_GCSTRUCT
#define _H_GCSTRUCT

struct _MEMSizeClass;
struct _MEMHeader;

typedef struct _MEMSizeClass {
    struct _MEMHeader *free;
    struct _MEMHeader *alloced;
    unsigned		item_size;
    unsigned		alloc_num;
} MEMSizeClass;

typedef struct _MEMHeader {
    struct _MEMHeader	*next;
    unsigned		black_flag;
#ifdef DEBUG_BACKTRACK
    unsigned	        actual_size;
    unsigned	        extra_flag;
#endif /* DEBUG_BACKTRACK */
} MEMHeader;

#define BYTES_PER_SIZE_CLASS (16)
#define NUM_SIZE_CLASSES (32)


#endif /* _H_GCSTRUCT */
