/*------------------------------------------------------------------*-C-*-*
 * File:    handc/cfg/gc/irc/gcconfig.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.3
 * Date:    1996.04.18 20:43:49
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/





#ifndef _H_CONFIG
#define _H_CONFIG

#include <rscheme/sizeclas.h>

#define NUM_GENERATIONS  (1)

#define NUM_STEPS        (1)

/* in the current logical->physical mapping,
   only [0,1] are squished together
*/

#define NUM_PHYSICAL_SIZE_CLASSES (NUM_LOGICAL_SIZE_CLASSES-1)

/* how fast to grab memory (per heap) */

#define ALLOCATION_CHUNK_SIZE (64*1024)

/* how often to do some work */

#define INCREMENT_SPACING  (20000)

/* how much work to do */

#define INCREMENT_WORK     (30000)

#endif /* _H_CONFIG */
