/*------------------------------------------------------------------*-C-*-*
 * File:    handc/runtime/rdln.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.2
 * Date:    1996.04.18 20:49:15
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: define the interface to the rdln subsystem
 *------------------------------------------------------------------------*/




#ifndef _H_RSEDITINP_RDLN
#define _H_RSEDITINP_RDLN

#include <rscheme/obj.h>

rs_bool rdln_isa_tty( void );
rs_bool rdln_enabled( void );
void rdln_add_history( obj str );
obj read_console_line( obj completions_list, const char *prompt );

#endif /* _H_RSEDITINP_RDLN */
