/*------------------------------------------------------------------*-C-*-*
 * File:    handc/runtime/rsmodule.c
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.5
 * Date:    1997.01.15 00:17:48
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: "RScheme" C module defn, to include runtime and hasht parts
 *------------------------------------------------------------------------*/




#ifdef INCL_SCCSID
char *F7RS_dist_runtime_rsmodule_sccsid__()
{ return "%Z%%W% 1.5 %G% 00:17:48"; }
#endif /* INCL_SCCSID */

#include <rscheme/linktype.h>
#include <rscheme/rsmodule.h>
#include <rscheme/scheme.h>

/****************************************************/

static struct part_descr *(tab[]) = {
    &rscheme_hasht_part,
    (struct part_descr *)0 };

struct module_descr module_rscheme = { 
               /* name */  "RScheme", 
              /* parts */  tab,
          /* num_roots */  NUM_RSCHEME_GLOBALS,
        /* root_vector */  rscheme_global,
       /* roots (info) */  NULL,
      /* bc_extensions */  NULL,
  /* num_bc_extensions */  0 };
