#|------------------------------------------------------------*-Scheme-*--|
 | File:    test/d193.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.2
 | Date:    1996.04.18 20:15:08
 | Build:   v0.7-0.9, 97.01.26
 |
 `------------------------------------------------------------------------|#

;;
;;  test allocation primitives
;;

(define (port->string port)
  (let ((s (open-output-string)))
    (let loop ()
      (let ((l (read-line port)))
	(if (eof-object? l)
	    (close-output-port s)
	    (begin
	      (write-string s l)
	      (newline s)
	      (loop)))))))

(define (output-from script args)
  (let ((p (open-input-process (format #f "rs -script ~a ~j" script args))))
    (let ((s (port->string p)))
      (close-input-port p)
      s)))

(test-section
 (script-environment)
 ;;
 (check "Hello\n[foo]\n[bar]\n"
	(output-from "d193.script" '("foo" "bar"))))
