,(use regex)

;;; 
;;;  test reg-expr->proc
;;;

(define pat0 (reg-expr->proc '(save (+ alpha))))

(define str "1 2 Buckle my shoe")

(check '(4 10 "Buckle")   (values->list (pat0 str)))
(check '(11 13 "my")      (values->list (pat0 str 10)))

(define u (unformat->proc "foo(~s,~d)"))

(expect-to-fail (u "foo(,10)"))
(check #f (u "foo(foo,)"))
(expect-to-fail (u "foo(foo,..99..)"))

(check 'foo (u "foo(foo,10)"))
(check '(1 (foo)) (u "foo((1 ;blech\n(foo)),10)"))

(expect-to-fail (unformat->proc "foo bar"))
