
;; estimating the size of code...

(define (count-vinsn vi)
    (case (car vi)
	((if)
	    (+ 1 (count-vinsn (caddr vi))
	         (count-vinsn (cadddr vi))))
	((seq)
	    (+ 1 (count-vinsns (cdr vi))))
	(else
	    1)))
	
(define (count-vinsns vinsns)
    (let loop ((i vinsns) (n 0))
	(if (null? i)
	    n
	    (loop (cdr i)
	    	  (+ (count-vinsn (car vinsns))
		     n)))))

(define (count-literal-bytes lc)
    (if (pair? lc)
	(+ (count-literal-bytes (car lc))
	   (count-literal-bytes (cdr lc)))
	(if (string? lc)
	    (string-length lc)
	    0)))
	    
