/*------------------------------------------------------------------*-C-*-*
 * File:    handc/cfg/gc/irc/clientyp.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.4
 * Date:    1996.08.04 15:53:28
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/

#ifndef _H_CLIENTYP
#define _H_CLIENTYP

/* types that the client is obligated to provide */

#include <rscheme/obj.h>

typedef struct _stableRI {
    struct module_descr **mod;
    unsigned	        root_num;
    unsigned	        mod_num;
} IRC_clientStableRootIterator;

typedef unsigned IRC_clientQuasistableRootIterator;

typedef struct _unstableRI {
  obj      *stack_cache;
  unsigned sig_queue;
} IRC_clientUnstableRootIterator;

#endif /* _H_CLIENTYP */
