/*------------------------------------------------------------------*-C-*-*
 * File:    handc/heapi/heapi.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.5
 * Date:    1996.06.04 01:31:54
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/

#ifndef _H_HEAPI
#define _H_HEAPI

#include <rscheme/obj.h>
#include <stdio.h>

void save_image( FILE *f, obj entry, obj refs, obj opt );
obj load_image( FILE *f, obj link_table );

obj load_image_file( const char *path, obj link_table, obj opts, 
		     int *fmt_vers );
void save_image_file( const char *path, obj entry, obj refs, obj opt );

/* possible image file format versions */

#define FMTV_RSCHEME_0_5       (50)
#define FMTV_RSCHEME_0_6       (60)
#define FMTV_RSCHEME_0_6_BOOT  (61)

#endif /* _H_HEAPI */
