/*------------------------------------------------------------------*-C-*-*
 * File:    handc/runtime/dynlink.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.4
 * Date:    1996.08.03 14:07:46
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: interface to dynamic linking feature
 *------------------------------------------------------------------------*/

/*
 *  dynamic linking is an optional feature,
 *  but the functions are always present (they
 *  may be stubbed out)
 */

void init_dynamic_link( const char *argv0 );
void done_resolving( void *info );
void *dynamic_link_file( const char *path );
void *resolve_link_symbol( void *info, const char *sym );
