#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/iolib/curlybrc.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.04.18 20:34:34
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: object support for curly-brace text {...}
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.3 %G% 20:34:34")

;;

(define-class <curly-braced> (<object>)
  (text type: <string>))

;;

(define-method write-object ((self <curly-braced>) port)
  (output-port-write-char port #\{)
  (write-string port (text self))
  (output-port-write-char port #\}))

(define-method display-object ((self <curly-braced>) port)
  (write-string port (text self)))

(define (string->c-text str)
  (make <curly-braced>
	text: str))
