#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/iolib/disperrs.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.2
 | Date:    1996.04.18 20:33:36
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: rendition functions for <condition>'s
 |------------------------------------------------------------------------|
 | Notes:
 |     These rendition functions are for <condition>'s defined
 |     in earlier modules
 `------------------------------------------------------------------------|#



(define-method display-object ((self <excess-initializers>) port)
  (format port "excess initializers supplied to `make' of a ~s\n"
	  (class-name (object-class (object self))))
  (let loop ((x (excess self)))
    (if (pair? x)
	(if (pair? (cdr x))
	    (begin
	      (format port "    ~s ~#*@55s\n" (car x) (cadr x))
	      (loop (cddr x)))
	    (format port "   ~s (value missing)\n" (car x)))
	(values))))
