#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/objsys/nextmeth.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.2
 | Date:    1996.04.18 20:30:52
 | Build:   v0.7-0.9, 97.01.26
 |
 `------------------------------------------------------------------------|#


(define (find-next-method-1 (gf <generic-function>) (class <<class>>))
  (let ((key-class (car (superclasses class))))
    (let loop ((i (generic-function-methods gf)))
      (if (pair? i)
	  (if (subclass? key-class (method-key-class (car i)))
	      (car i)
	      (loop (cdr i)))
	  #f))))



;; (define-method initialize ((self <my-thread>) #rest keystuff))

#|
;;

(define-class <foo> (<object>) x)

(define-class <bar> (<foo>) y)

(define-method* initialize ((self <foo>) #rest stuff)
  (format #t "foo stuff: ~s\n" stuff)
  (next-method self)
  (set-x! self 10))

(define-method* initialize ((self <bar>) #rest stuff)
  (format #t "bar stuff: ~s\n" stuff)
  (set-x! self 11)
  (next-method)
  (set-y! self (x self)))
|#
