#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/objsys/object.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.7
 | Date:    1996.09.11 22:21:04
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: methods on <object>
 `------------------------------------------------------------------------|#

;;(file-version-string "%Z%%W% 1.7 %G% 22:21:04")

;;
;;
;;  methods implemented by <object>
;;

(define-method equal? ((thing1 <object>) (thing2 <object>))
  (eq? thing1 thing2))

(define-method eqv? ((thing1 <object>) (thing2 <object>))
  (eq? thing1 thing2))


(define-class <excess-initializers> (<condition>)
  object
  excess)

(define-method initialize ((self <object>) #rest extra)
  (if (null? extra)
      ;; do nothing
      ;; (it is no longer required, btw, that initialize return self)
      self
      ;; signal an error
      (signal (make <excess-initializers>
		    object: self
		    excess: extra))))

(define-method finalize ((self <object>))
  ;; do nothing
  )
