#|------------------------------------------------------------*-Scheme-*--|
 | File:    modules/repl/rewrites.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.3
 | Date:    1996.04.18 20:24:31
 | Build:   v0.7-0.9, 97.01.26
 |
 | Purpose: Rewriter code for binding macros
 `------------------------------------------------------------------------|#



;;(file-version-string "%Z%%W% 1.3 %G% 20:24:31")


(define (do-rewriter form)
    (let ((bdgs (car (cdr form)))
    	  (test (car (cdr (cdr form))))
	  (body (cdr (cdr (cdr form))))
	  (loop-name (gensym)))
	(let ((vars (map car bdgs))
	      (inits (map cadr bdgs))
	      (incs (map (lambda (x) 
	      		    (if (null? (cdr (cdr x)) )
			        (car x) 
				(car (cdr (cdr x))) ))
		     bdgs)))
	    (list
		'let
		loop-name 
	        (map list vars inits)
		(list
		    'if
		    (car test)
		    (cons 'begin (cdr test))
		    (list
			'begin
			(cons 'begin body)
			(cons loop-name incs)))))))

(define (let*-rewriter form)
    (let ((bdgs (car (cdr form))))
	(if (null? bdgs)
	    (cons 'begin (cdr (cdr form)))
	    (list
		'let
		(list (car bdgs))
		(cons
		    'let*
		    (cons (cdr bdgs)
			  (cdr (cdr form))))))))

