
(define (unionq . sets)
  (let ((t (make-object-table)))
    (for-each (lambda (i)
		(for-each (lambda (j)
			    (table-insert! t j #t))
			  i))
	      sets)
    (key-sequence t)))

(define (intersectq . sets)
  (let ((t (make-object-table)))
    (for-each (lambda (j)
		(table-insert! t j 1))
	      (car sets))
    (for-each (lambda (i)
		(for-each (lambda (j)
			    (let ((n (table-lookup t j)))
			      (if n
				  (table-insert! t j (+ n 1)))))
			  i))
	      (cdr sets))
    (let ((r '()))
      (table-for-each
       t
       (let ((n (length sets)))
	 (lambda (h k v)
	   (if (eq? v n)
	       (set! r (cons k r))))))
      r)))
