/*------------------------------------------------------------------*-C-*-*
 * File:    handc/cfg/gc/irc/alloc.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.4
 * Date:    1996.04.18 20:44:32
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/





#ifndef _H_ALLOC
#define _H_ALLOC

#include <stdio.h>
extern FILE *atracef;

IRC_Header *IRC_growSizeClass( IRC_Heap *heap,
			       IRC_SizeClass *sc,
			       UINT_32 size );
/* aix: -Q+IRC_getBlock */

#ifdef __GNUC__
inline
#endif
static void *IRC_getBlock( IRC_Heap *heap, IRC_SizeClass *sc, UINT_32 size )
{
IRC_Header *p = sc->free;

    if (p == &sc->marker)
    {
	p = IRC_growSizeClass( heap, sc, size );
    }
    sc->free = p->next;
    p->sizeClass = sc;	/* may have died from an older size class */
    p->flagBits = sc->initFlagBits;
    return p+1;
}

#endif
