#|------------------------------------------------------------*-Scheme-*--|
 | File:    handc/demo/threads/keypoll.scm
 |
 |          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 |          as part of the RScheme project, licensed for free use
 |
 | Version: 1.2
 | Date:    1996.04.18 20:37:13
 | Build:   v0.7-0.9, 97.01.26
 |
 `------------------------------------------------------------------------|#


(define *input-set* (make-fd-set '(0) '() '()))
(define *input-buffer* (make-string 1))

(define (poll-for-key)
  (let ((r (fd-select 0 *input-set*)))
    (if (pair? r)
	(begin
	  (fd-read 0 *input-buffer* 0 1)
	  (string-ref *input-buffer* 0))
	#f)))
