/*------------------------------------------------------------------*-C-*-*
 * File:    handc/platform/irix/platform.h
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.2
 * Date:    1996.04.18 20:46:02
 * Build:   v0.7-0.9, 97.01.26
 *
 *------------------------------------------------------------------------*/




#ifndef _H_RSCHEME_PLATFORM
#define _H_RSCHEME_PLATFORM

/* platform-independence layer */

/*  SGI (Irix)  */

#define PLATFORM_IRIX

typedef unsigned int UINT_32;
typedef unsigned short UINT_16;
typedef unsigned char UINT_8;

typedef signed int INT_32;
typedef signed short INT_16;
typedef signed char INT_8;

typedef double IEEE_64;
typedef float IEEE_32;

#define PLATFORM_IS_BIG_ENDIAN

#define HOST_TO_BIG_ENDIAN_16(x)      (x)
#define HOST_TO_BIG_ENDIAN_32(x)      (x)
#define HOST_TO_BIG_ENDIAN_IEEE_64(x) (x)

#define BIG_ENDIAN_TO_HOST_16(x)      (x)
#define BIG_ENDIAN_TO_HOST_32(x)      (x)
#define BIG_ENDIAN_TO_HOST_IEEE_64(x) (x)

#endif /* _RSCHEME_PLATFORM */
