/*-----------------------------------------------------------------*-C-*---
 * File:    handc/platform/linux/dynlink.c
 *
 *          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 *          as part of the RScheme project, licensed for free use
 *
 * Version: 1.1
 * Date:    1996.07.12 00:29:01
 * Build:   v0.7-0.9, 97.01.26
 *
 * Purpose: Linux dynamic linking interface
 *------------------------------------------------------------------------*/

#include <stdio.h>
#include <dlfcn.h>

void *resolve_link_symbol( void *info, const char *sym )
{
  return dlsym( info, sym );
}

void *dynamic_link_file( const char *path )
{
    return dlopen( path, RTLD_NOW );
}

void done_resolving( void *info )
{
}

void init_dynamic_link( const char *argv0 )
{
}


